<?php
namespace Infochy\InfochyFeeditexample\Controller;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
use Infochy\InfochyHelper\Controller\BaseHelperController;
/**
 * MyDataController
 */
class MyDataController extends BaseHelperController
{
	protected $modelObjNameCreateAction = 'newMyData';
	
	protected $modelObjNameUpdateAction = 'myData';
	
	protected $fileadminFolder = 'infochy_feeditexample';
	
	protected $actionNameOnAccessFailed = 'logout';
	
	protected $imagePropertyNameInModel = 'image';
	
    /**
     * myDataRepository
     *
     * @var \Infochy\InfochyFeeditexample\Domain\Repository\MyDataRepository
     * @inject
     */
    protected $myDataRepository = NULL;

    /**
     * action list
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function listAction()
    {
    	$this->checkFeUserAccess();
		
		$myDatas = $this->myDataRepository->findByUser($this->feUser);
        $this->view->assign('myDatas', $myDatas);
    }
    
    /**
     * action show
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function showAction(\Infochy\InfochyFeeditexample\Domain\Model\MyData $myData)
    {
    	$this->checkFeUserAccess();
        $this->view->assign('myData', $myData);
    }
    
    /**
     * action new
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function newAction()
    {
        $this->checkFeUserAccess();
    }
    
    /**
     * action create
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function createAction(\Infochy\InfochyFeeditexample\Domain\Model\MyData $newMyData)
    {
    	$this->checkFeUserAccess();
        $this->addFlashMessage('The object was created.', '', \TYPO3\CMS\Core\Messaging\AbstractMessage::ERROR);
        $newMyData->setUser($this->feUser);
				
        $this->myDataRepository->add($newMyData);
        $this->redirect('list');
    }
    
    /**
     * action edit
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @ignorevalidation $myData
     * @return void
     */
    public function editAction(\Infochy\InfochyFeeditexample\Domain\Model\MyData $myData)
    {
    	$this->checkFeUserAccess();
        $this->view->assign('myData', $myData);
    }
    
    /**
     * action update
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function updateAction(\Infochy\InfochyFeeditexample\Domain\Model\MyData $myData)
    {
    	$this->checkFeUserAccess();
        $this->addFlashMessage('The object was updated.', '', \TYPO3\CMS\Core\Messaging\AbstractMessage::ERROR);
         
        $this->myDataRepository->update($myData);
        $this->redirect('list');
    }
    
    /**
     * action delete
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function deleteAction(\Infochy\InfochyFeeditexample\Domain\Model\MyData $myData)
    {
    	$this->checkFeUserAccess();
        $this->addFlashMessage('The object was deleted.', '', \TYPO3\CMS\Core\Messaging\AbstractMessage::ERROR);
        $this->myDataRepository->remove($myData);
        $this->redirect('list');
    }
    

    /**
     * action showPublic
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function showPublicAction(\Infochy\InfochyFeeditexample\Domain\Model\MyData $myData)
    {
        $this->view->assign('myData', $myData);
    }    

    /**
     * action listPublic
     *
     * @param Infochy\InfochyFeeditexample\Domain\Model\MyData
     * @return void
     */
    public function listPublicAction()
    {
    	
        $myDatas = $this->myDataRepository->findAll();
        $this->view->assign('myDatas', $myDatas);
    }
    /**
     * action logout
     *
     * @return void
     */
    public function logoutAction()
    {
        
    }
}